#include "ResourcePool/mysql/ResourcePool.hh"

#include "t/main.hh"

#include "testconfig.cc"
#include "../SQL/SQLExecute.t.cc"

void INIT_mysql_SQLExecute() {
	test_SQLExecute_init();
}

void TEST_mysql_SQLExecute_insert() {
	test_SQLExecute_one();
}

void TEST_mysql_SQLExecute_insert_two() {
	test_SQLExecute_two();
}

void TEST_mysql_SQLExecute_insert_three() {
	test_SQLExecute_three();
}

void TEST_PERF_mysql_SQLExecute_insert() {
	test_perf_SQLExecute_insert();
}

void TEST_PERF_mysql_SQLExecute_insert_outer() {
	test_perf_SQLExecute_insert_outer();
}

void TEST_mysql_SQLExecute_insert_fail() {
	test_SQLExecute_fail();
}

void CLEANUP_mysql_SQLExecute() {
	test_SQLExecute_cleanup();
}
